### Method

# Atspi Component set_extents

#### Declaration [src]

    gboolean
    atspi_component_set_extents (
      AtspiComponent* obj,
      gint x,
      gint y,
      gint width,
      gint height,
      AtspiCoordType ctype,
      GError** error
    )

#### Description [src]

Moves and resizes the specified component.

#### Parameters

`x`

  Type: `gint`

  The new horizontal position to which the component should be moved.

`y`

  Type: `gint`

  The new vertical position to which the component should be moved.

`width`

  Type: `gint`

  The width to which the component should be resized.

`height`

  Type: `gint`

  The height to which the component should be resized.

`ctype`

  Type: `AtspiCoordType`

  The coordinate system in which the position is specified. (e.g. ATSPI_COORD_TYPE_WINDOW, ATSPI_COORD_TYPE_SCREEN).

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if successful; `FALSE` otherwise.